> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Details

> Get Facebook Post Details

<Note>
  **General Instructions:**

  * The `id` **masterID** is required to get access to that Social Account posts.
  * At least one should be used: `postID` or `postURL`
  * Make sure you run **Get Posts & Videos** endpoint at least one time for the month the post was published in before using this endpoint.
  * [Understanding Post Data Handling](/guides/social-media/handling-social-posts)
  * You can check what months already being tracked first [Check Tracked Posts](/api-reference/social-other/check-tracked-posts)
</Note>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "post": [
      {
        "postDetails": {
          "postID": "81221197163_1309864427166761",
          "postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_FB:81221197163_81221197163_1309864427166761?time=1756093622",
          "videoLink": "",
          "postUrl": "https://www.facebook.com/373400027479877/posts/1309864427166761",
          "dataId": "81221197163_81221197163_1309864427166761",
          "date": "02-04-2025",
          "dateISO": "2025-04-02T21:30:20.000Z",
          "likes": 245945,
          "dislikes": 0,
          "comments": 12129,
          "rePosts": 1916,
          "views": 0,
          "pollVotes": 0,
          "videoViews": 0,
          "type": "album",
          "types": [
            "album",
            "no_text"
          ],
          "hashTags": [],
          "text": "",
          "textLength": 0,
          "fromOwner": true,
          "isAd": false,
          "mentions": [],
          "mentionsText": []
        },
        "postStats": {
          "interactions": 259990,
          "er": 0.0015192202426073,
          "viewsER": 0,
          "videoViewsER": 0,
          "indexGrade": -2.04993481567548,
          "mainGrade": "d"
        }
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/facebook-post-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/facebook-post-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow facebook-post-details
      operationId: get_wf_facebook-post-details
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get User Account**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: postID
          in: query
          required: false
          description: >-
            Example: postID `81221197163_1309864427166761` , To get this use
            this endpoint: **Get User Posts**
          schema:
            type: string
        - name: postURL
          in: query
          required: false
          description: >-
            Example: postURL
            `https://www.facebook.com/373400027479877/posts/1309864427166761` ,
            To get this use this endpoint: **Get User Posts**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````